//
//  Copyright (c) 1996, Microsoft Corporation
//
package com.ms.awt;

import sun.awt.win32.*;
import java.awt.Font;
import java.awt.FontMetrics;

/**
 * An extended font metrics object. 
 * @version 	1.15, 5/sept/96
 * @author 		David Silver
 */
public class FontMetricsX extends Win32FontMetrics 
{
	boolean ttFont = false;
	
	String faceName = null;
	
    /**
     * Calculate the metrics from the given font based on the Graphics object
     * the FontMetrics object came from.
     *
     * @param font	the font object to query the metrics for
     * @return the extended FontMetric object
     */
    public FontMetricsX(Font font) 
    {
		super(font);
    }

	/**
	 * get the face associated with the realised font obtained after selecting
	 * the current font into the Graphics object
	 * @return the face name
	 */
	public String getFace()
	{
		return faceName;
	}

	/**
	 * determine if the font can draw in outline mode.
	 */
	public boolean canDrawOutline()
	{
		return ttFont;
	}
	
//    static FontMetrics getFontMetrics(Font font) 
//    {
//    	return sun.awt.win32.Win32FontMetrics.getFontMetrics(font);
//    }

}

