//
//  Copyright (c) 1996, Microsoft Corporation
//
package com.ms.awt;

import java.awt.Point;

/**
 * A class that retrieves the outline metrics for a character.
 * @version 	1.15, 5/sept/96
 * @author 		David Silver
 */
public class GlyphMetrics
{
	/**
	 * The width of the smallest rectangle that completely 
	 * encloses the glyph (its "black box"). 
	 */
	 public int blackBoxX;
	 
	/**
	 * The height of the smallest rectangle that completely 
	 * encloses the glyph (its "black box"). 
	 */
	 public int blackBoxY;

	/**
	 * The x- and y-coordinates of the upper left corner of the 
	 * smallest rectangle that completely encloses the glyph
	 */
	public Point glyphOrigin; 

	/**
	 * The horizontal distance from the origin of the current character 
	 * cell to the origin of the next character cell.
	 */
	public int cellIncX;
	
	/**
	 * The vertical distance from the origin of the current character 
	 * cell to the origin of the next character cell.
	 */
	public int cellIncY;
} 

