//
//  Copyright (c) 1996, Microsoft Corporation
//
package com.ms.awt;

/**
 * a class that produces a transformation matrix used with outline font methods.
 *
 * The identity matrix produces a transformation in which the transformed 
 * graphical object is identical to the source object.   In the identity
 * matrix, the value of em11 and em22 is 1. the value of em12 and em21 is zero.
 * @author David Silver
 * @version 1.0 	5/sept/96
 */
public class Mat2
{
	/**
	 * the M11 component of a 3x3 transformation matrix
	 */
	public float em11;
	
	/**
	 * the M12 component of a 3x3 transformation matrix
	 */
	public float em12;
	
	/**
	 * the M21 component of a 3x3 transformation matrix
	 */
	public float em21;
	
	/**
	 * the M22 component of a 3x3 transformation matrix
	 */
	public float em22;
	
}
