//
//  ByteArrayImageSource.java
//
//  Copyright (c) 1996, Microsoft Corporation
//

package com.ms.awt.image;

import java.io.*;
// Hack around JavaC name conflict with sun.awt.image.ByteArrayImageSource class.
import sun.awt.image.InputStreamImageSource;
import sun.awt.image.ImageDecoder;
import sun.awt.image.GifImageDecoder;
import sun.awt.image.JPEGImageDecoder;
import sun.awt.image.XbmImageDecoder;

public class ByteArrayImageSource extends InputStreamImageSource
{
    String imagefile;
    byte   data[];

    public ByteArrayImageSource(String filename, byte data[])
    {
        if ( filename == null || data == null ) {
			throw new NullPointerException();
		}
		
		imagefile = filename;
        this.data = data;
    }

    final boolean checkSecurity(Object context, boolean quiet)
    {
        return true;
    }

    protected ImageDecoder getDecoder()
    {
        InputStream is;

        is = new BufferedInputStream(new ByteArrayInputStream(data));

        int suffixpos = imagefile.lastIndexOf('.');
        if (suffixpos >= 0) {
            String suffix = imagefile.substring(suffixpos+1).toLowerCase();
            if (suffix.equals("gif")) {
                return new GifImageDecoder(this, is);
            } else if (suffix.equals("jpeg") || suffix.equals("jpg") ||
                suffix.equals("jpe") || suffix.equals("jfif")) {
                return new JPEGImageDecoder(this, is);
            } else if (suffix.equals("xbm")) {
                return new XbmImageDecoder(this, is);
            }
        }
        return getDecoder(is);
    }
}







